extends BaseState

# idle_state.gd

func _ready() -> void:
	SubscribeToEvent("MovementQueued", OnMovementQueued)


func OnMovementQueued(dv: Vector2) -> void:
	state_machine.QueueStateChange(PlayerStateMachine.States.WALKING, {"dv": dv})


func GetStateEnum() -> PlayerStateMachine.States:
	return PlayerStateMachine.States.IDLE
